io.milvus.exception

## Class IllegalResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.milvus.exception.MilvusException
        - - io.milvus.exception.IllegalResponseException

- All Implemented Interfaces:
    java.io.Serializable

      public class IllegalResponseException
      extends MilvusException

  Interfaces including `search`/`search`/`loadCollection` might throw this exception when server return illegal response. It may indicate a bug in server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalResponseException(java.lang.String msg)`

  - ### Method Summary

    - ### Methods inherited from class io.milvus.exception.MilvusException

      `getStatus, setStatus`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalResponseException

          public IllegalResponseException(java.lang.String msg)